Bug 56431 - Linksys combo card doesn't work without ethernet.
Linksys combo card doesn't work without ethernet.
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-17 16:43 EST by Michael Brown
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 03:15:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Brown 2001-11-17 16:43:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.6 sun4u; Nav)

Description of problem:
When Linksys combo card is plugged in /sbin/ifconfig shows the computer
attempting to broadcast for an IP address. When this fails it attempts to
stop the ethernet card. The result makes puts the modem portion of the
combo card into a state where it does not work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Boot redhat 7.2 system which uses dhcpcd to obtain an IP address.
2. Plug in Linksys combo card.
3. Monitor card with /sbin/ifconfig
4. Attempt to use modem for several mintues

Actual Results:  When the ethernet card is stopped the modem can not be

Expected Results:  The modem portion of the card should not depend on 
whether or not it is plugged into the ethernet.

The card did work under RH 7.1

Additional info:

A **possible** workaround is to wait for the ethernet to timeout, then
/sbin/ifconfig eth0
and then try using the modem

/sbin/cardctl ident 
...gives the following information...
Socket 0:
  product info: "Linksys", "EtherFast 10&100 + 56K PC Card (PCMLM56)"
  manfid: 0x0143, 0xc0ab
  function: 0 (multifunction)

Note You need to log in before you can comment on or make changes to this bug.